Note: This release is in preview. Features described here don’t become generally available until the latest general availability date that Salesforce announces for this release. Before then, and where features are noted as beta, pilot, or developer preview, we can’t guarantee general availability within any particular time frame or at all. Make your purchase decisions only on the basis of generally available products and features.

List View Results

Executes the SOQL query for the list view and returns the resulting data and presentation information. This resource is available in REST API version 32.0 and later.

Syntax

URI: /services/data/vXX.X/sobjects/sObject/listviews/listViewID/results

Formats: JSON, XML

HTTP Method: GET

Authentication: Authorization: Bearer token

Parameters

Parameter Description
limit The maximum number of records to return, between 1-2000. The default value is 25.
offset The first record to return. Use this parameter to paginate the results. The default value is 0.

Example

Example Request

1curl https://MyDomainName.my.salesforce.com/services/data/v67.0/sobjects/Account/listviews/00BD0000005WcCNMA0/results?offset=10&limit=5 -H "Authorization: Bearer token"

Example Response Body

1{
2  "columns" : [ {
3    "ascendingLabel" : "Z-A",
4    "descendingLabel" : "A-Z",
5    "fieldNameOrPath" : "Name",
6    "hidden" : false,
7    "label" : "Account Name",
8    "selectListItem" : "Name",
9    "sortDirection" : "ascending",
10    "sortIndex" : 0,
11    "sortable" : true,
12    "type" : "string"
13  }, {
14    "ascendingLabel" : "Z-A",
15    "descendingLabel" : "A-Z",
16    "fieldNameOrPath" : "Site",
17    "hidden" : false,
18    "label" : "Account Site",
19    "selectListItem" : "Site",
20    "sortDirection" : null,
21    "sortIndex" : null,
22    "sortable" : true,
23    "type" : "string"
24  }, {
25    "ascendingLabel" : "Z-A",
26    "descendingLabel" : "A-Z",
27    "fieldNameOrPath" : "BillingState",
28    "hidden" : false,
29    "label" : "Billing State/Province",
30    "selectListItem" : "BillingState",
31    "sortDirection" : null,
32    "sortIndex" : null,
33    "sortable" : true,
34    "type" : "string"
35  }, {
36    "ascendingLabel" : "9-0",
37    "descendingLabel" : "0-9",
38    "fieldNameOrPath" : "Phone",
39    "hidden" : false,
40    "label" : "Phone",
41    "selectListItem" : "Phone",
42    "sortDirection" : null,
43    "sortIndex" : null,
44    "sortable" : true,
45    "type" : "phone"
46  }, {
47    "ascendingLabel" : "Low to High",
48    "descendingLabel" : "High to Low",
49    "fieldNameOrPath" : "Type",
50    "hidden" : false,
51    "label" : "Type",
52    "selectListItem" : "toLabel(Type)",
53    "sortDirection" : null,
54    "sortIndex" : null,
55    "sortable" : true,
56    "type" : "picklist"
57  }, {
58    "ascendingLabel" : "Z-A",
59    "descendingLabel" : "A-Z",
60    "fieldNameOrPath" : "Owner.Alias",
61    "hidden" : false,
62    "label" : "Account Owner Alias",
63    "selectListItem" : "Owner.Alias",
64    "sortDirection" : null,
65    "sortIndex" : null,
66    "sortable" : true,
67    "type" : "string"
68  }, {
69    "ascendingLabel" : null,
70    "descendingLabel" : null,
71    "fieldNameOrPath" : "Id",
72    "hidden" : true,
73    "label" : "Account ID",
74    "selectListItem" : "Id",
75    "sortDirection" : null,
76    "sortIndex" : null,
77    "sortable" : false,
78    "type" : "id"
79  }, {
80    "ascendingLabel" : null,
81    "descendingLabel" : null,
82    "fieldNameOrPath" : "CreatedDate",
83    "hidden" : true,
84    "label" : "Created Date",
85    "selectListItem" : "CreatedDate",
86    "sortDirection" : null,
87    "sortIndex" : null,
88    "sortable" : false,
89    "type" : "datetime"
90  }, {
91    "ascendingLabel" : null,
92    "descendingLabel" : null,
93    "fieldNameOrPath" : "LastModifiedDate",
94    "hidden" : true,
95    "label" : "Last Modified Date",
96    "selectListItem" : "LastModifiedDate",
97    "sortDirection" : null,
98    "sortIndex" : null,
99    "sortable" : false,
100    "type" : "datetime"
101  }, {
102    "ascendingLabel" : null,
103    "descendingLabel" : null,
104    "fieldNameOrPath" : "SystemModstamp",
105    "hidden" : true,
106    "label" : "System Modstamp",
107    "selectListItem" : "SystemModstamp",
108    "sortDirection" : null,
109    "sortIndex" : null,
110    "sortable" : false,
111    "type" : "datetime"
112  } ],
113  "developerName" : "MyAccounts",
114  "done" : true,
115  "id" : "00BD0000005WcCN",
116  "label" : "My Accounts",
117  "records" : [ {
118    "columns" : [ {
119      "fieldNameOrPath" : "Name",
120      "value" : "Burlington Textiles Corp of America"
121    }, {
122      "fieldNameOrPath" : "Site",
123      "value" : null
124    }, {
125      "fieldNameOrPath" : "BillingState",
126      "value" : "NC"
127    }, {
128      "fieldNameOrPath" : "Phone",
129      "value" : "(336) 222-7000"
130    }, {
131      "fieldNameOrPath" : "Type",
132      "value" : "Customer - Direct"
133    }, {
134      "fieldNameOrPath" : "Owner.Alias",
135      "value" : "TUser"
136    }, {
137      "fieldNameOrPath" : "Id",
138      "value" : "001D000000JliSTIAZ"
139    }, {
140      "fieldNameOrPath" : "CreatedDate",
141      "value" : "Fri Aug 01 21:15:46 GMT 2014"
142    }, {
143      "fieldNameOrPath" : "LastModifiedDate",
144      "value" : "Fri Aug 01 21:15:46 GMT 2014"
145    }, {
146      "fieldNameOrPath" : "SystemModstamp",
147      "value" : "Fri Aug 01 21:15:46 GMT 2014"
148    } ]
149  }, {
150    "columns" : [ {
151      "fieldNameOrPath" : "Name",
152      "value" : "Dickenson plc"
153    }, {
154      "fieldNameOrPath" : "Site",
155      "value" : null
156    }, {
157      "fieldNameOrPath" : "BillingState",
158      "value" : "KS"
159    }, {
160      "fieldNameOrPath" : "Phone",
161      "value" : "(785) 241-6200"
162    }, {
163      "fieldNameOrPath" : "Type",
164      "value" : "Customer - Channel"
165    }, {
166      "fieldNameOrPath" : "Owner.Alias",
167      "value" : "TUser"
168    }, {
169      "fieldNameOrPath" : "Id",
170      "value" : "001D000000JliSVIAZ"
171    }, {
172      "fieldNameOrPath" : "CreatedDate",
173      "value" : "Fri Aug 01 21:15:46 GMT 2014"
174    }, {
175      "fieldNameOrPath" : "LastModifiedDate",
176      "value" : "Fri Aug 01 21:15:46 GMT 2014"
177    }, {
178      "fieldNameOrPath" : "SystemModstamp",
179      "value" : "Fri Aug 01 21:15:46 GMT 2014"
180    } ]
181  }, {
182    "columns" : [ {
183      "fieldNameOrPath" : "Name",
184      "value" : "Edge Communications"
185    }, {
186      "fieldNameOrPath" : "Site",
187      "value" : null
188    }, {
189      "fieldNameOrPath" : "BillingState",
190      "value" : "TX"
191    }, {
192      "fieldNameOrPath" : "Phone",
193      "value" : "(512) 757-6000"
194    }, {
195      "fieldNameOrPath" : "Type",
196      "value" : "Customer - Direct"
197    }, {
198      "fieldNameOrPath" : "Owner.Alias",
199      "value" : "TUser"
200    }, {
201      "fieldNameOrPath" : "Id",
202      "value" : "001D000000JliSSIAZ"
203    }, {
204      "fieldNameOrPath" : "CreatedDate",
205      "value" : "Fri Aug 01 21:15:46 GMT 2014"
206    }, {
207      "fieldNameOrPath" : "LastModifiedDate",
208      "value" : "Fri Aug 01 21:15:46 GMT 2014"
209    }, {
210      "fieldNameOrPath" : "SystemModstamp",
211      "value" : "Fri Aug 01 21:15:46 GMT 2014"
212    } ]
213  }, {
214    "columns" : [ {
215      "fieldNameOrPath" : "Name",
216      "value" : "Express Logistics and Transport"
217    }, {
218      "fieldNameOrPath" : "Site",
219      "value" : null
220    }, {
221      "fieldNameOrPath" : "BillingState",
222      "value" : "OR"
223    }, {
224      "fieldNameOrPath" : "Phone",
225      "value" : "(503) 421-7800"
226    }, {
227      "fieldNameOrPath" : "Type",
228      "value" : "Customer - Channel"
229    }, {
230      "fieldNameOrPath" : "Owner.Alias",
231      "value" : "TUser"
232    }, {
233      "fieldNameOrPath" : "Id",
234      "value" : "001D000000JliSXIAZ"
235    }, {
236      "fieldNameOrPath" : "CreatedDate",
237      "value" : "Fri Aug 01 21:15:46 GMT 2014"
238    }, {
239      "fieldNameOrPath" : "LastModifiedDate",
240      "value" : "Fri Aug 01 21:15:46 GMT 2014"
241    }, {
242      "fieldNameOrPath" : "SystemModstamp",
243      "value" : "Fri Aug 01 21:15:46 GMT 2014"
244    } ]
245  }, {
246    "columns" : [ {
247      "fieldNameOrPath" : "Name",
248      "value" : "GenePoint"
249    }, {
250      "fieldNameOrPath" : "Site",
251      "value" : null
252    }, {
253      "fieldNameOrPath" : "BillingState",
254      "value" : "CA"
255    }, {
256      "fieldNameOrPath" : "Phone",
257      "value" : "(650) 867-3450"
258    }, {
259      "fieldNameOrPath" : "Type",
260      "value" : "Customer - Channel"
261    }, {
262      "fieldNameOrPath" : "Owner.Alias",
263      "value" : "TUser"
264    }, {
265      "fieldNameOrPath" : "Id",
266      "value" : "001D000000JliSPIAZ"
267    }, {
268      "fieldNameOrPath" : "CreatedDate",
269      "value" : "Fri Aug 01 21:15:46 GMT 2014"
270    }, {
271      "fieldNameOrPath" : "LastModifiedDate",
272      "value" : "Fri Aug 01 21:15:46 GMT 2014"
273    }, {
274      "fieldNameOrPath" : "SystemModstamp",
275      "value" : "Fri Aug 01 21:15:46 GMT 2014"
276    } ]
277  }, {
278    "columns" : [ {
279      "fieldNameOrPath" : "Name",
280      "value" : "Grand Hotels and Resorts Ltd"
281    }, {
282      "fieldNameOrPath" : "Site",
283      "value" : null
284    }, {
285      "fieldNameOrPath" : "BillingState",
286      "value" : "IL"
287    }, {
288      "fieldNameOrPath" : "Phone",
289      "value" : "(312) 596-1000"
290    }, {
291      "fieldNameOrPath" : "Type",
292      "value" : "Customer - Direct"
293    }, {
294      "fieldNameOrPath" : "Owner.Alias",
295      "value" : "TUser"
296    }, {
297      "fieldNameOrPath" : "Id",
298      "value" : "001D000000JliSWIAZ"
299    }, {
300      "fieldNameOrPath" : "CreatedDate",
301      "value" : "Fri Aug 01 21:15:46 GMT 2014"
302    }, {
303      "fieldNameOrPath" : "LastModifiedDate",
304      "value" : "Fri Aug 01 21:15:46 GMT 2014"
305    }, {
306      "fieldNameOrPath" : "SystemModstamp",
307      "value" : "Fri Aug 01 21:15:46 GMT 2014"
308    } ]
309  }, {
310    "columns" : [ {
311      "fieldNameOrPath" : "Name",
312      "value" : "Pyramid Construction Inc."
313    }, {
314      "fieldNameOrPath" : "Site",
315      "value" : null
316    }, {
317      "fieldNameOrPath" : "BillingState",
318      "value" : null
319    }, {
320      "fieldNameOrPath" : "Phone",
321      "value" : "(014) 427-4427"
322    }, {
323      "fieldNameOrPath" : "Type",
324      "value" : "Customer - Channel"
325    }, {
326      "fieldNameOrPath" : "Owner.Alias",
327      "value" : "TUser"
328    }, {
329      "fieldNameOrPath" : "Id",
330      "value" : "001D000000JliSUIAZ"
331    }, {
332      "fieldNameOrPath" : "CreatedDate",
333      "value" : "Fri Aug 01 21:15:46 GMT 2014"
334    }, {
335      "fieldNameOrPath" : "LastModifiedDate",
336      "value" : "Fri Aug 01 21:15:46 GMT 2014"
337    }, {
338      "fieldNameOrPath" : "SystemModstamp",
339      "value" : "Fri Aug 01 21:15:46 GMT 2014"
340    } ]
341  }, {
342    "columns" : [ {
343      "fieldNameOrPath" : "Name",
344      "value" : "sForce"
345    }, {
346      "fieldNameOrPath" : "Site",
347      "value" : null
348    }, {
349      "fieldNameOrPath" : "BillingState",
350      "value" : "CA"
351    }, {
352      "fieldNameOrPath" : "Phone",
353      "value" : "(415) 901-7000"
354    }, {
355      "fieldNameOrPath" : "Type",
356      "value" : null
357    }, {
358      "fieldNameOrPath" : "Owner.Alias",
359      "value" : "TUser"
360    }, {
361      "fieldNameOrPath" : "Id",
362      "value" : "001D000000JliSaIAJ"
363    }, {
364      "fieldNameOrPath" : "CreatedDate",
365      "value" : "Fri Aug 01 21:15:46 GMT 2014"
366    }, {
367      "fieldNameOrPath" : "LastModifiedDate",
368      "value" : "Fri Aug 01 21:15:46 GMT 2014"
369    }, {
370      "fieldNameOrPath" : "SystemModstamp",
371      "value" : "Fri Aug 01 21:15:46 GMT 2014"
372    } ]
373  }, {
374    "columns" : [ {
375      "fieldNameOrPath" : "Name",
376      "value" : "United Oil and Gas Corp."
377    }, {
378      "fieldNameOrPath" : "Site",
379      "value" : null
380    }, {
381      "fieldNameOrPath" : "BillingState",
382      "value" : "NY"
383    }, {
384      "fieldNameOrPath" : "Phone",
385      "value" : "(212) 842-5500"
386    }, {
387      "fieldNameOrPath" : "Type",
388      "value" : "Customer - Direct"
389    }, {
390      "fieldNameOrPath" : "Owner.Alias",
391      "value" : "TUser"
392    }, {
393      "fieldNameOrPath" : "Id",
394      "value" : "001D000000JliSZIAZ"
395    }, {
396      "fieldNameOrPath" : "CreatedDate",
397      "value" : "Fri Aug 01 21:15:46 GMT 2014"
398    }, {
399      "fieldNameOrPath" : "LastModifiedDate",
400      "value" : "Fri Aug 01 21:15:46 GMT 2014"
401    }, {
402      "fieldNameOrPath" : "SystemModstamp",
403      "value" : "Fri Aug 01 21:15:46 GMT 2014"
404    } ]
405  }, {
406    "columns" : [ {
407      "fieldNameOrPath" : "Name",
408      "value" : "United Oil and Gas, Singapore"
409    }, {
410      "fieldNameOrPath" : "Site",
411      "value" : null
412    }, {
413      "fieldNameOrPath" : "BillingState",
414      "value" : "Singapore"
415    }, {
416      "fieldNameOrPath" : "Phone",
417      "value" : "(650) 450-8810"
418    }, {
419      "fieldNameOrPath" : "Type",
420      "value" : "Customer - Direct"
421    }, {
422      "fieldNameOrPath" : "Owner.Alias",
423      "value" : "TUser"
424    }, {
425      "fieldNameOrPath" : "Id",
426      "value" : "001D000000JliSRIAZ"
427    }, {
428      "fieldNameOrPath" : "CreatedDate",
429      "value" : "Fri Aug 01 21:15:46 GMT 2014"
430    }, {
431      "fieldNameOrPath" : "LastModifiedDate",
432      "value" : "Fri Aug 01 21:15:46 GMT 2014"
433    }, {
434      "fieldNameOrPath" : "SystemModstamp",
435      "value" : "Fri Aug 01 21:15:46 GMT 2014"
436    } ]
437  }, {
438    "columns" : [ {
439      "fieldNameOrPath" : "Name",
440      "value" : "United Oil and Gas, UK"
441    }, {
442      "fieldNameOrPath" : "Site",
443      "value" : null
444    }, {
445      "fieldNameOrPath" : "BillingState",
446      "value" : "UK"
447    }, {
448      "fieldNameOrPath" : "Phone",
449      "value" : "+44 191 4956203"
450    }, {
451      "fieldNameOrPath" : "Type",
452      "value" : "Customer - Direct"
453    }, {
454      "fieldNameOrPath" : "Owner.Alias",
455      "value" : "TUser"
456    }, {
457      "fieldNameOrPath" : "Id",
458      "value" : "001D000000JliSQIAZ"
459    }, {
460      "fieldNameOrPath" : "CreatedDate",
461      "value" : "Fri Aug 01 21:15:46 GMT 2014"
462    }, {
463      "fieldNameOrPath" : "LastModifiedDate",
464      "value" : "Fri Aug 01 21:15:46 GMT 2014"
465    }, {
466      "fieldNameOrPath" : "SystemModstamp",
467      "value" : "Fri Aug 01 21:15:46 GMT 2014"
468    } ]
469  }, {
470    "columns" : [ {
471      "fieldNameOrPath" : "Name",
472      "value" : "University of Arizona"
473    }, {
474      "fieldNameOrPath" : "Site",
475      "value" : null
476    }, {
477      "fieldNameOrPath" : "BillingState",
478      "value" : "AZ"
479    }, {
480      "fieldNameOrPath" : "Phone",
481      "value" : "(520) 773-9050"
482    }, {
483      "fieldNameOrPath" : "Type",
484      "value" : "Customer - Direct"
485    }, {
486      "fieldNameOrPath" : "Owner.Alias",
487      "value" : "TUser"
488    }, {
489      "fieldNameOrPath" : "Id",
490      "value" : "001D000000JliSYIAZ"
491    }, {
492      "fieldNameOrPath" : "CreatedDate",
493      "value" : "Fri Aug 01 21:15:46 GMT 2014"
494    }, {
495      "fieldNameOrPath" : "LastModifiedDate",
496      "value" : "Fri Aug 01 21:15:46 GMT 2014"
497    }, {
498      "fieldNameOrPath" : "SystemModstamp",
499      "value" : "Fri Aug 01 21:15:46 GMT 2014"
500    } ]
501  } ],
502  "size" : 12
503}